<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/context
    http://www.springframework.org/schema/context/spring-context-3.0.xsd">

    <bean id="personDao" class="pl.sda.dao.impl.PersonMockDao" />

    <bean id="personFileDao" class="pl.sda.dao.impl.PersonFileDao"/>

    <bean id="personService" class="pl.sda.service.impl.PersonServiceImpl">
        <property name="personValidator" ref="personValidator"/>
    </bean>

    <bean id="personValidator" class="pl.sda.validator.PersonValidator"/>

    <context:annotation-config/>

</beans>